Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.springframework.binding.message
Enum Severity

    java.lang.Object
      java.lang.Enum<Severity>
          org.springframework.binding.message.Severity

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Severity>

    public enum Severity

extends java.lang.Enum<Severity>

Enum exposing supported message severities.

Author:
  Keith Donald, Jeremy Grelle
See Also:
  `Message`

Enum Constant Summary
`ERROR` The "Error" severity.
`FATAL` The "Fatal" severity.
`INFO` The "Informational" severity.
`WARNING` The "Warning" severity.

Method Summary
`static Severity` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Severity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INFO

    public static final Severity INFO

  The "Informational" severity. Used to indicate a successful operation or result.

### WARNING

    public static final Severity WARNING

  The "Warning" severity. Used to indicate there is a minor problem, or to inform the message receiver of possible misuse, or to indicate a problem may arise in the future.

### ERROR

    public static final Severity ERROR

  The "Error" severity. Used to indicate a significant problem like a business rule violation.

### FATAL

    public static final Severity FATAL

  The "Fatal" severity. Used to indicate a fatal problem like a system error.

Method Detail

### values

    public static Severity[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Severity c : Severity.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Severity valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD